Summary: CGI Wrapper for main server	 
Name: cgiwrap
%define ver 3.6.3
Version: pacifica
Release: 3
Copyright: The cgiwrap guys and others...
Group: Base
Source: cgiwrap-%{ver}.tar.gz
Patch: cgiwrap-%{ver}-pacifica.patch
BuildRoot: /tmp/cgiwrap

%description
  This package includes a cgiwrap program which will handle all cgi's run 
on the main webserver. It ensures the scripts run with the proper permissions.	
%changelog
* Fri Oct 8 1999 Duncan Laurie (duncan@cobaltnet.com)
- pacifica-3
- run site CGIs as httpd instead of nobody

* Wed Jun 2 1999 Duncan Laurie (duncan@cobaltnet.com)
- pacifica-2
- fix raq2 legacy bugs

* Mon May 24 1999 Duncan Laurie <duncan@cobaltnet.com>
- pacifica-1
- first build for pacifica

* Tue Mar 2 1999 Duncan laurie <duncan@cobaltnet.com>
- C2raq2
- fix /users/[user] access

* Fri Feb 19 1999 Duncan Laurie <duncan@cobaltnet.com>
- start with new sources, unhacked, v3.6.3
- build for raq2 with minimal changes to source

* Wed Oct 28 1998 Will DeHaan <will@cobaltnet.com>
  - Disable path analysis in util.h CheckPath for double-byte file names
  - Existing path prefix check remains

* Sun Sep 20 1998 Kevin K.M. Chiu <kevin@cobaltnet.com>
  - C5-raq
  - Fixed strdup(0) in GetValue() ehich causes a core dump for cgi scripts with query string
  - Fix in cgiwrap-cobalt-vsites.patch

* Tue Aug 25 1998 Kevin K.M. Chiu <kevin@cobaltnet.com>
  - C4-raq
  - compile with --without-check-group-writable

* Fri Jul 24 1998 Kevin <kevin>
  - fix SCRIPT_NAME env variable
  - /home/sites dir structure for 2700R
  - 2700R friendly

* Tue Jun 9 1998 Aaron Fosdick <aaron@cobaltmicro.com>

- rpm rebuild - nonpristine sources were being used! using a patchfile now
- update to 3.6.1 from 3.6beta6
- build has hook for future machine specific generation.(unused)
- incorporated Brion's fix for home directory .cgi/.pl files not running

* Wed Feb 11 1998 Timothy Stonis <tim@cobaltmicro.com>
 
 -Initial creation.

%prep
%setup -n cgiwrap-%{ver}
%patch -p1

%build
./configure \
	--with-install-dir=/usr/cgiwrap \
	--with-httpd-user=httpd \
	--without-check-group-writable \
	--with-cgi-dir=web \
	--without-fixed-path-translated \
	--with-local-contact-name=Administrator \
	--with-local-contact-email=admin \
	--without-check-group

make CFLAGS="-D__cobalt"

%install

make install

rm -rf /tmp/cgiwrap
mkdir -p /tmp/cgiwrap/usr/cgiwrap
cp /usr/cgiwrap/cgi* /tmp/cgiwrap/usr/cgiwrap
cp /usr/cgiwrap/nph*  /tmp/cgiwrap/usr/cgiwrap

%clean
rm -rf /tmp/cgiwrap

%post

%files
%attr(-,root,root) /usr/cgiwrap/cgiwrap
%attr(-,root,root) /usr/cgiwrap/cgiwrapd
%attr(-,root,root) /usr/cgiwrap/nph-cgiwrap
%attr(-,root,root) /usr/cgiwrap/nph-cgiwrapd
